Get saved objects

Base URL
https://{kibana_url}
  • POST /api/saved_objects/_bulk_get
  • POST /s/{space_id}/api/saved_objects/_bulk_get
Auth Deprecated
Warning

This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.

Retrieves multiple Kibana saved objects by type and ID in a single request.

For transferring or backing up saved objects, prefer the export API (POST /api/saved_objects/_export).

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

<array> object[] · max items: 10000
fields string[] · max items: 100
id string · max length: 512 required
namespaces string[] · max items: 100
type string · max length: 256 required

Responses

200

A bulk get response.

application/json
400

A bad request.

application/json
Base URL
https://{kibana_url}